.acca-visual {
  position: relative;
}

.acca-visual .sticky-rail--vod {
  position: relative;
  top: 0;
  height: 800vh;
  width: 100%;
  z-index: 100;
}

.acca-visual .vod-container {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
}

.frame-vod {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100vh;
  object-fit: cover;
  transform: translate(-50%, -50%);
}

.sticky-rail--text {
  position: relative;
  top: 0;
  height: 400vh;
  width: 100%;
  z-index: 100;
  border: 1px solid transparent;
}

.sticky-rail--text .sticky-box {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  /* vod가 끝나는 지점과 텍스트가 교차하는 지점 핸들링하는 margin */
  margin-top: -150vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sticky-rail--text .sticky-box h3 {
  position: fixed;
  left: 50%;
  top: 50%;
  width: 100%;
  margin-top: 30px;
  font-size: 80px;
  color: #fff;
  line-height: 130%;
  text-align: center;
  transform: translate(-50%, -50%);
  transform-origin: center;
  transition: 0.3s ease-in-out;
}
.sticky-rail--text .sticky-box h3.is--active {
  margin-top: 0;
}

.sticky-rail--text .sticky-box .highlight {
  display: block;
  color: #05d16e;
  font-style: normal;
  transition: 0.3s ease-in-out;
  opacity: 0;
  transform: translateY(30px);
}

.sticky-rail--text .sticky-box .is--active .highlight {
  opacity: 1;
  transform: translateY(0);
}

.acca-visual .sticky-rail--text .sticky-box h3.is--active {
  color: #000;
}

.acca-visual .sticky-rail--ui {
  position: relative;
  top: 0;
  height: 400vh;
  width: 100%;
  z-index: 100;
}

.acca-visual .sticky-rail--ui .sticky-box {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  margin-top: -150vh;
}

.acca-visual .ui-container-wrap {
  position: fixed;
  width: 55vw;
  max-width: 1043px;
  height: auto;
  aspect-ratio: 1.63 / 1;
  top: 50%;
  left: 50%;
  padding: 12px;
  margin-top: 60px;
  transform: translate(-50%, -50%);
  border-radius: 40px;
  box-sizing: border-box;
  background-color: #000;
  transition:
    width 0.5s ease-out,
    height 0.5s ease-out,
    top 0.5s ease-out,
    left 0.5s ease-out,
    margin-top 0.5s ease-out,
    transform 0.5s ease-out;
  transform-origin: center;
  box-shadow:
    24px 24px 40px -8px rgba(6, 6, 25, 0.1),
    10px 10px 40px -8px rgba(5, 7, 26, 0.2),
    10px 10px 17px 0px rgba(6, 10, 26, 0.04);
  opacity: 0;
}

.acca-visual .ui-container-wrap.mobile {
  display: none;
}

.ui-container-wrap.is--active {
  opacity: 1;
  margin-top: 0;
}

.acca-visual .ui-container {
  display: flex;
  flex-flow: column;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  border: 1px solid #000;
  background-color: #f5fafd;
  padding: 1.5%;
  border-radius: 32px;
  box-sizing: border-box;
}

.acca-visual .ui-container img {
  object-fit: cover;
  width: 100%;
  height: auto;
}

.acca-visual .ui-container .summary-boxes {
  display: flex;
  width: 100%;
  height: 36.705%;
  column-gap: 1%;
}

.acca-visual .ui-container .box {
  border: 1px solid #e5e7eb;
  overflow: hidden;
  transition: 0.15s ease-in;
  background-color: #e5e7eb;
}

.acca-visual .ui-container .summary-boxes .box {
  width: 20%;
  border-radius: 10px;
}

.acca-visual .ui-container .box:hover {
  transform: scale(1.4);
  border: 2px solid #20d770;
  background-color: #20d770;
  box-shadow:
    0px 14px 34px -6px rgba(0, 0, 0, 0.16),
    0px 2px 14px 0px rgba(0, 0, 0, 0.04);
}

.ui-container .detail-boxes {
  width: 100%;
  height: 60.253%;
  display: flex;
  justify-content: space-between;
  column-gap: 1%;
}

.ui-container .detail-boxes .box {
  border-radius: 16px;
}

.ui-container .box-group-column {
  display: flex;
  flex-flow: column;
  justify-content: space-between;
  row-gap: 3%;
}

.sticky-rail--ui .btns {
  position: fixed;
  bottom: -24px;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  column-gap: 16px;
  opacity: 0;
  transition: 0.3s 0.5s ease-out;
  z-index: 1;
}

.acca-visual .sticky-rail--ui .btns.is--active {
  bottom: 64px;
  opacity: 1;
}

.acca-visual .sticky-rail--ui .btns .btn {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 76px;
  padding: 0 40px;
  font-size: 24px;
  font-weight: 700;
  letter-spacing: -0.24px;
  text-decoration: none;
  border-radius: 12px;
  border: 2px solid #05d16e;
}

.acca-visual .btn.download {
  color: #05d16e;
  background-color: #fff;
}

.acca-visual .btn.link {
  color: #fff;
  border-color: transparent;
  background-color: #05d16e;
}

@media (max-width: 1599px) {
  .acca-visual .sticky-rail--ui .btns .btn {
    height: 64px;
    padding: 0 24px;
    font-size: 20px;
    border-radius: 8px;
  }

  .acca-visual .ui-container {
    border-radius: 24px;
  }
}

@media (max-width: 1024px) {
  .sticky-rail--text .sticky-box h3 {
    font-size: 56px;
  }

  .acca-visual .ui-container-wrap {
    padding: 8px;
    border-radius: 24px;
  }

  .acca-visual .ui-container {
    border-radius: 16px;
  }
}

@media (max-width: 768px) {
  .acca-visual .ui-container-wrap {
    width: calc(100% - 32px);
    max-width: 500px;
    aspect-ratio: unset;
    background-color: transparent;
  }

  .acca-visual .ui-container-wrap.mobile {
    display: block;
    padding: 0;
  }

  .acca-visual .ui-container-wrap.mobile img {
    width: 100%;
    vertical-align: top;
  }

  .acca-visual .ui-container-wrap.pc {
    display: none !important;
  }

  .sticky-rail--text .sticky-box h3 {
    font-size: 32px;
  }

  .acca-visual .sticky-rail--ui .btns .btn {
    height: 56px;
    padding: 0 16px;
    font-size: 16px;
  }
  .acca-visual .sticky-rail--ui .btns .btn.download {
    display: none;
  }
}
